import paho.mqtt.client as mqtt #import the client1
import paho.mqtt.publish as publish

#!/usr/bin/python
# -*- coding: utf-8 -*-
#
# RPi-S-LCD.py
# Created on 21/1/2017
#
# Python program that use LCD 20x4 to display topics info
#

import time
import sys
import os
############

def writeFile(nameFile,variable):
	file = open(nameFile,"w")
	file.write(variable)
	file.close()

def on_message_photoval(client, userdata, message):
    photoval = str(message.payload.decode("utf-8"))
    print(photoval)
    writeFile("../WEB_Programming/data/shutters/photoval.txt",photoval)

def on_message(client, userdata, message):
    print(message.topic+" "+str(message.qos)+" "+str(message.payload))

def on_disconnect(client, userdata,rc=0):
    logging.debug("DisConnected result code "+str(rc))
    client.loop_stop()

#######################################
broker_address="<ip-server-mqtt>"
client = mqtt.Client("P1") #create new instance
print("connecting to broker")
client.connect(broker_address) #connect to broker

client.loop_start()
client.subscribe("shutters/#")
client.message_callback_add('shutters/photoval',on_message_photoval)
client.on_message=on_message #attach function to callback



time.sleep(1000);
