<head>
  <?php
  include("head.php");
  include("header.php");
  ?>
  <style>
  	#canvas{
  		background-color: rgba(255,255,255,0);
  		margin-left: 0px;
  		margin-top: 50px;
  	}

    th{
        border: 0px solid #000000;
    }
    td{
    	border: 0px solid #000000;
    }
  </style>
</head>

<!-- This phpcode is going to extract the data from the files-->
<?php
include("../php_function/fileFunction.php");
$distance = file2tab("../data/outside_station/outside_station_distance.txt");
$humidity = file2tab("../data/outside_station/outside_station_humidity.txt");
$temperature =  file2tab("../data/outside_station/outside_station_temperature.txt");
$parametre_tank = file2tab("../data/outside_station/outside_station_parameters.txt");


//this part calculates the volume depending on the form's type of the watertank
$form = substr($parametre_tank[0][1],0,-1);
$h = $parametre_tank[1][1]-($distance[0][0]/100);
$volume=0;
if (strcmp($form,"square")==0)
  $volume=$parametre_tank[2][1]*$parametre_tank[2][1]*$h*1000;
elseif (strcmp($form,"rectangular")==0)
  $volume=$parametre_tank[2][1]*$parametre_tank[3][1]*$h*1000;
elseif (strcmp($form,"circular")==0)
  $volume=pow($parametre_tank[2][1]/2,2)*pi()*$h*1000;
?>



<body onload="calcul()">
  <table width='60%' align="center">
    <tr>
        <td width=10%><img src="../pictures/high_temp.png" height=150></td>
        <td width=30%>Exterior temperature : <?php echo $temperature[0][0]; ?>°C</td>
        <td align="center">
        <!-- This part shows a picture depending on the temperature-->
        <?php if (($temperature[0][0]>0) && ($temperature[0][0]<20))
                  {
                      echo("<img src=\"../pictures/cloudly.png\" height=100>");
                  }
              else if($temperature[0][0]>=20)
                  {
                      echo("<img src=\"../pictures/sun.png\" height=100>");
                  }
              else if($temperature[0][0]<=0)
                  {
                      echo("<img src=\"../pictures/freeze.png\" height=100>");
                  }

        ?>
        </td>


    </tr>
    </tr>
        <!-- this part shows the humidity's value-->
        <td><img src="../pictures/water.png" height=150></td>
        <td>humidity content : <?php echo $humidity[0][0];?>%</td>
        <td align="center"><canvas id="canvas" width='300' height='350'></canvas></td>

    </tr>

  </table>
  <div align="center">
    <a href = "outside_station_settings.php"><img src = "../pictures/settings.png" class="tuile"></a>
  </div>
</body>

<!-- this javascript draws a rectangle and print the volume in litres depending on the volume of water -->
<script>
	var canvas = document.querySelector('#canvas');
	var context = canvas.getContext('2d');
  var x = 0;
  var y = 50;


	//context.fillStyle='rgb(213,213,213)';
	//context.fillRect(100,20,300,300);
  var img = new Image();
  img.onload = function() {
    context.drawImage(img, x, y,300,300);
  };
  img.src = '../pictures/tank.png';

function calcul(){
  var hmax = <?php echo $parametre_tank[1][1] ?>;
	var h=<?php echo $h?>;
  var hpix = 220*h/hmax;
	context.clearRect(0, 0, canvas.width, canvas.height);
  var img = new Image();
  img.onload = function() {
                              context.drawImage(img,x, y,300,300);
                          };


  img.src = '../pictures/tank.png';
		vol = Math.round(<?php echo $volume?>);
		context.fillStyle='rgb(111,205,247)';
		context.fillRect(x+70,y+270-hpix,150,hpix);
		context.fillStyle='#000000';
		context.font="16px Futura";
		context.fillText(vol+" L",x+120,y+250);
}
</script>
<?php include("footer.php"); ?>
