import paho.mqtt.client as mqtt #import the client1
import paho.mqtt.publish as publish

#!/usr/bin/python
# -*- coding: utf-8 -*-
#
# RPi-S-LCD.py
# Created on 21/1/2017
#
# Python program that use LCD 20x4 to display topics info
#

import time
import sys
import os
############
#When MQTT client recieve a message, program has to write it in a .txt ans active output
def writeFile(nameFile,variable):
	file = open(nameFile,"w")
	file.write(variable)
	file.close()


#--------- The callback for when a PUBLISH message is received from the server.------

def on_message_dogfood(client, userdata, message):
    dogfood = str(message.payload.decode("utf-8"))
    print(dogfood)
    writeFile("../WEB_Programming/data/pet/pet_dogfood.txt",dogfood)

def on_message(client, userdata, message):
    print(message.topic+" "+str(message.qos)+" "+str(message.payload))

def on_disconnect(client, userdata,rc=0):
    logging.debug("DisConnected result code "+str(rc))
    client.loop_stop()
########################################
broker_address="<ip-server-mqtt>"
client = mqtt.Client("P9") #create new instance
print("connecting to broker")
client.connect(broker_address) #connect to broker
print ("testok")
client.loop_start() #start the loop
client.subscribe("Loadcell/#")
client.message_callback_add('Loadcell/DogManager',on_message_dogfood)
client.on_message=on_message #attach function to callback
time.sleep(1000);
