  <head>
	 <title>Heating</title>
    <?php include("head.php"); ?>
    <?php include("header.php"); ?>
  </head>

  <!--read file-->
    <?php
    include("../php_function/fileFunction.php");

    $heating_temperature_path = '../data/heating/temperature.txt';
    $heating_temperature = array();
    $heating_temperature = file2tab($heating_temperature_path);

    $heating_humidity_path = '../data/heating/humidity.txt';
    $heating_humidity = array();
    $heating_humidity = file2tab($heating_humidity_path);

    $heating_command_path = '../data/heating/command.txt';
    $heating_command = array();
    $heating_command = file2tab($heating_command_path);

    $stateToPi_path = '../data/heating/stateToPi.txt';
    $stateToPi = array();
    $stateToPi = file2tab($stateToPi_path);
    ?>

<body>
<!--begin of body-->
  <div align=center>

    <!--Temperature-->
    <h1>Actual Temperature</h1>

    <div class="slidecontainer">
      <input type="range" min="0" max="400" value=<?php echo($heating_temperature[0][0]*10) ?> class="slider" id="temperature_slider" disabled="disabled" >
        <h1><p>Value: <span id="temperature_value"></span></p></h1>
    </div>

    <script>
    var temperature_slider = document.getElementById("temperature_slider");
    var temperature_output = document.getElementById("temperature_value");
    temperature_output.innerHTML = temperature_slider.value/10.0+ "°C";

    temperature_slider.oninput = function() {
      temperature_output.innerHTML = this.value/10.0+ "°C";
    }
    </script>

<!--Humidity-->
      <h1>Relative humidity</h1>
      <div class="slidecontainer">
        <input type="range" min="0" max="100" value=<?php echo($heating_humidity[0][0]) ?> class="slider" id="humidity_slider" disabled="disabled">
          <h1><p>Value: <span id="humidity_value"></span></p></h1>
      </div>

      <script>
      var humidity_slider = document.getElementById("humidity_slider");
      var humidity_output = document.getElementById("humidity_value");
      humidity_output.innerHTML = humidity_slider.value + "%";

      humidity_slider.oninput = function() {
        humidity_output.innerHTML = this.value + "%";
      }
      </script>

  <!--Form-->
<form action="heating_form1.php" method="post">

<!--Switch heating-->
<h1>Heating</h1>
  <label class="switch-light switch-iOS" onclick="">
    <input id="switch_heating" type="checkbox" name="form_switch_heating" <?php echo (($heating_command[0][1])==1? "checked":"")?>>
    <span>
      <span>Off</span>
      <span>Auto</span>
      <a></a>
    </span>
  </label>



<!--Switch Boost-->
<h1>Boost</h1>
<label class="switch-light switch-iOS" onclick="">
  <input id="switch_boost" type="checkbox" name="form_switch_boost" <?php echo (($heating_command[1][1])==1? "checked":"")?>>
  <span>
    <span>Off</span>
    <span>On</span>
    <a></a>
  </span>
</label>


<!--Switch ventilation-->
<h1>ventilation</h1>
  <div class="switch-toggle switch-iOS" align="center">
    <input id="off_ventil" name="form_ventil" type="radio" <?php echo (($heating_command[2][1])==0? "checked":"")?> value="0">
    <label for="off_ventil" onclick="">Off</label>
    <input id="auto_ventil" name="form_ventil" type="radio" <?php echo (($heating_command[2][1])==1? "checked":"")?> value="1">
    <label for="auto_ventil" onclick="">Auto</label>
    <input id="force_ventil" name="form_ventil" type="radio" <?php echo (($heating_command[2][1])==2? "checked":"")?> value="2">
    <label for="force_ventil" onclick="">Force</label>
    <a></a>
  </div>
<br />

<h1><p>Current outputs states <h1><p>
<h1><p>Heating <?php echo($stateToPi[0][1]) ?> | Venting <?php echo($stateToPi[1][1]) ?><h1><p><br />
<h1><p>Current modes <h1><p>
<h1><p>Auto <?php echo($stateToPi[2][1]) ?> | Boost <?php echo($stateToPi[3][1]) ?><h1><p><br />

<p><input type="submit" value="Apply changes"></p>
</form>
<br />
<a href = "heating_parameters.php"><img src = "../pictures/settings.png" class="tuile"></a>
<a href = "heating_time.php"><img src = "../pictures/time.png" class="tuile"></a>

<!--End of body-->
</div>
</body>

<footer>
  <?php include("footer.php"); ?>
</footer>
